
from twisted.python import components

class IScheduler(components.Interface):
    MINUTELY, HOURLY, DAILY, WEEKLY, MONTHLY, YEARLY = range(6)

    def schedule(self, period, fn, *args, **kw):
        """
        Cause a function to be invoked at regular intervals with the given
        arguments.
        """

class IStorage(components.Interface):

    def store(self, key, version, value):
        """
        Store any pickleable object
        """

    def retrieve(self, key, version):
        """
        Retrieve the previously stored object associated with key and
        version
        """
