#
#   Twisted Pynfo - A relay, info, and search bot for IRC.
#   Copyright (C) 2002 Jp Calderone (exarkun@twistedmatrix.com)
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA
#

def info_TELL(self, user, channel, args):
    """Usage: tell <user> about <item> - Inform the specified user about the specified item."""
    args = args.split(' about ', 1)
    if len(args) != 2:
        self.reply(channel, "Could you be a little more clear?")
    else:
        who, what = args
        information = self.factory.lookupFact(what)
        if not information:
            self.reply(channel, "But I don't know a thing about that.");
        else:
            if who == 'us':
                who = channel
            elif who == 'me':
                who = user
            else:
                self.reply(channel, 'Alrighty.')
            if who != user:
                self.reply(user, "I am telling %s: %s" % (who, information))
            self.reply(who, "%s asked me to tell you this: %s" % (user, information))


def privinfo_DEFINE(self, user, channel, args):
    """Usage: define <factoid> as <definition> - Create or redefine a factoid."""
    args = args.split(' as ', 1)
    if len(args) != 2:
        self.reply(channel, "Incorrect syntax.  See 'help define'")
    else:
        self.factory.setFact(*args)
        self.reply(channel, 'Defined.')


def privinfo_FORGET(self, user, channel, args):
    """Usage: forget <factoid> - Remove a factoid."""
    try:
        self.factory.unsetFact(args)
    except KeyError:
        self.reply(channel, "No such factoid.")
    else:
        self.reply(channel, "Forgotten.")
