#
#   Twisted Pynfo - A relay, info, and search bot for IRC.
#   Copyright (C) 2002 Jp Calderone (exarkun@twistedmatrix.com)
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA
#

import StringIO

from twisted.tap import manhole
from twisted.python import usage

class Options(manhole.Options):
    def opt_password(self, password):
        self['password'] = password

def secure_MANHOLE(bot, user, channel, args):
    if channel != user:
        bot.reply(channel, "Refusing to create a manhole from arguments given in a public channel.")
        return
    
    try:
        config = Options()
        config.parseOptions(args.split())
    except:
        import traceback
        s = StringIO.StringIO()
        traceback.print_exc(file=s)
        bot.reply(user, s.getvalue())
    else:
        from twisted.internet import app
        try:
            manhole.updateApplication(app.theApplication, config)
        except:
            import traceback
            s = StringIO.StringIO()
            traceback.print_exc(file=s)
            bot.reply(user, s.getvalue())
        else:
            bot.reply(channel, "Manhole created.")
