
# Copyright (C) 2002 Jp Calderone.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of version 2.1 of the GNU Lesser General Public
# License as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# System imports
from distutils import core, sysconfig
import os

data_prefix = os.path.join(
    sysconfig.get_config_var('BINLIBDEST'), 'site-packages', 'Pynfo'
)

core.setup(
    name = 'pynfo',
    version = '0.6.2',
    description = """IRC Info/Search/Relay bot""",
    author = 'Jp Calderone',
    author_email = 'exarkun@twistedmatrix.com',
    url = 'http://www.freshmeat.net/projects/pynfo/',
    license = 'GNU GPL',
    keywords = 'IRC bot',
    platforms = '*nix',
    packages = ['Pynfo', 'Pynfo.plugins'],
    scripts = ['bin/respond'],
    data_files = [
        (data_prefix, [os.path.join('Pynfo', 'plugins.tml')]),
        (os.path.join(data_prefix, 'plugins'), [os.path.join('Pynfo', 'plugins', 'plugins.tml')])
    ]
)
